<?php 

class ControladorClientes {

	static public function ctrMostrarClientes($item, $valor){

		$tabla = "clientes";

		$respuesta = ModeloClientes::MdlMostrarClientes($tabla, $item, $valor);

		return $respuesta;
	}

	/*=============================================
	RANGO RUTAS
	=============================================*/	

	static public function ctrRutaClientes($ruta){

		$tabla = "clientes";

		$respuesta = ModeloClientes::mdlRutaClientes($tabla, $ruta);

		return $respuesta;
		
	}



	/*=============================================
	REGISTRO DE CLIENTE
	=============================================*/

	static public function ctrCrearCliente(){
		if(isset($_POST["nuevoNombre"])){
			if(preg_match('/[a-zA-Z0-9 ]/', $_POST["nuevoNombre"]) &&
			   preg_match('/^[0-9]+$/', $_POST["nuevoRuc"])){
				
				$tabla = "clientes";
				$datos = array("ruc_dni" => $_POST["nuevoRuc"],
					           "razon_social" => $_POST["nuevoNombre"],
					           "email" => $_POST["nuevoCorreo"],
					           "telefono" => $_POST["nuevoTelefono"],
					           "direccion"=>$_POST["nuevoDireccion"]);

				$respuesta = ModeloClientes::mdlIngresarCliente($tabla, $datos);
			
				if($respuesta == "ok"){
					echo '<script>
					swal({
						type: "success",
						title: "¡El cliente ha sido guardado correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){						
							window.location = "clientes";
						}
					});			
					</script>';
				}	
			}else{

				echo '<script>

					swal({

						type: "error",
						title: "¡El cliente no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"

					}).then(function(result){

						if(result.value){
						
							window.location = "clientes";

						}

					});
				

				</script>';

			}


		}


	}

	/*=============================================
	EDITAR DE CLIENTE
	=============================================*/

	static public function ctrEditarCliente(){
		if(isset($_POST["editarNombre"])){
			if(preg_match('/[a-zA-Z0-9 ]/', $_POST["editarNombre"]) &&
			   preg_match('/^[0-9]+$/', $_POST["editarRuc"]) &&
			   /*preg_match('/^[^0-9][a-zA-Z0-9_]+([.][a-zA-Z0-9_]+)*[@][a-zA-Z0-9_]+([.][a-zA-Z0-9_]+)*[.][a-zA-Z]{2,4}$/', $_POST["editarCorreo"]) && */ 
			   preg_match('/^[#\.\-a-zA-Z0-9 ]+$/', $_POST["editarDireccion"])){
				$tabla = "clientes";
				$datos = array("ruc_dni" => $_POST["editarRuc"],
								"id" => $_POST["idcliente"],
					           "razon_social" => $_POST["editarNombre"],
					           "email" => $_POST["editarCorreo"],
					           "telefono" => $_POST["editarTelefono"],
					           "direccion"=>$_POST["editarDireccion"],
							   "ultima_compra"=>$_POST["fecha"]);

				$respuesta = ModeloClientes::mdlEditarCliente($tabla, $datos);		
				if($respuesta == "ok"){
					echo '<script>
					swal({
						type: "success",
						title: "¡El cliente ha sido guardado correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){					
							window.location = "clientes";
						}
					});
					</script>';


				}	


			}else{

				echo '<script>

					swal({

						type: "error",
						title: "¡El cliente no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"

					}).then(function(result){

						if(result.value){
						
							window.location = "clientes";

						}

					});
				

				</script>';

			}
		}
	}

	static public function ctrBorrarCliente(){

		if(isset($_GET["idCliente"])){

			$tabla ="clientes";
			$datos = $_GET["idCliente"];

			$respuesta = ModeloClientes::mdlBorrarCliente($tabla, $datos);

			if($respuesta == "ok"){

				echo'<script>

				swal({
					  type: "success",
					  title: "El cliente ha sido borrado correctamente",
					  showConfirmButton: true,
					  confirmButtonText: "Cerrar"
					  }).then(function(result){
								if (result.value) {

								window.location = "clientes";

								}
							})

				</script>';

			}		

		}

	}
}

